KDE 4.9 PyKDE API Reference

- KDE's Python API

# AgentType Class Reference

`from PyKDE4.akonadi import *`

Namespace: Akonadi

## Detailed Description

A representation of an agent type.

The agent type is a representation of an available agent, that can be started as an agent instance. It provides all information about the type.

All available agent types can be retrieved from the AgentManager.

     Akonadi.AgentType.List types = Akonadi.AgentManager.self()->types();
     foreach ( const Akonadi.AgentType &type, types ) {
       qDebug() << "Name:" << type.name() << "(" << type.identifier() << ")";
     }

Author:
  Tobias Koenig <tokoe@kde.org>

## Methods

| __init__ (self)
| __init__ (self, Akonadi.AgentType other)
QStringList | capabilities (self)
QString | description (self)
QIcon | icon (self)
QString | iconName (self)
QString | identifier (self)
bool | isValid (self)
QStringList | mimeTypes (self)
QString | name (self)
bool | operator == (self, Akonadi.AgentType other)

## Method Documentation

__init__ | ( |  | self ) |

Creates a new agent type.

__init__ | ( | self, |
|  | Akonadi.AgentType | other
| ) |  |  |

Creates an agent type from an other agent type.

QStringList capabilities | ( |  | self ) |

Returns the list of supported capabilities of the agent type.

QString description | ( |  | self ) |

Returns the description of the agent type.

QIcon icon | ( |  | self ) |

Returns the icon of the agent type.

QString iconName | ( |  | self ) |

Returns the name of the icon of the agent type.

QString identifier | ( |  | self ) |

Returns the unique identifier of the agent type.

bool isValid | ( |  | self ) |

Returns whether the agent type is valid.

QStringList mimeTypes | ( |  | self ) |

Returns the list of supported mime types of the agent type.

QString name | ( |  | self ) |

Returns the i18n'ed name of the agent type.

bool operator == | ( | self, |
|  | Akonadi.AgentType | other
| ) |  |  |

Internal: